<?php

/*
Plugin Name: Cyklodev WP Settings
Plugin URI: http://www.cyklodev.com/wordpress-settings/
Description: Cyklodev Wordpress Settings
Author: Zephilou
Version: 1.2.2
Author URI: http://www.cyklodev.com
*/

defined('ABSPATH') or die("Cannot access pages directly.");



function cyklodev_settings_js_form() {
    $filename =  esc_url( plugins_url( 'js/ckd_settings_form.js', __FILE__ ) );
    wp_register_script('cyklodev_settings', $filename, array( 'jquery' ), true, rand(), true);
    wp_enqueue_script( 'cyklodev_settings');
    wp_enqueue_style('cyklodev_settings', esc_url( plugins_url( 'css/switch.css', __FILE__ ) ));

}
add_action( 'admin_enqueue_scripts', 'cyklodev_settings_js_form' );




/*
 * Add link menu
 */

function com_cyklodev_wordpress_settings(){
  add_menu_page('Cyklodev Settings', 'Cyklodev Settings', 'manage_options', 'cyklodev_settings', 'cyklodev_settings');
}
add_action('admin_menu', 'com_cyklodev_wordpress_settings');

/*
 * Include settings array
 */

 $options_list = array (
     'cyklodev_settings_rss'                 => 'Disable Rss',
     'cyklodev_settings_auto_update_plugin'  => 'Auto update plugins',
     'cyklodev_settings_update_notification' => 'Disable update notification',
     'cyklodev_settings_update_auto'         => 'Disable automatic update',
     'cyklodev_settings_disable_gutemberg'   => 'Disable Gutemberg'
 );

/*
 * Include view
 */

function cyklodev_settings(){
    echo '<div class="wrap"><h2>'.__('Settings','cyklodev').'</h2>';
    include_once 'views/settings.php';
}


/*
 * Include function remove rss
 */

 function cyklodev_disable_gutemberg() {
     add_filter('use_block_editor_for_post', '__return_false', 10);
 }


function cyklodev_disable_rss() {
    wp_die( __('No rss available,please visit our <a href="'. get_bloginfo('url') .'">homepage</a>!') );
}

function cyklodev_disable_rss_links() {
    remove_action( 'wp_head', 'feed_links_extra', 3 );
    remove_action( 'wp_head', 'feed_links', 2 );
    remove_action( 'wp_head', 'rsd_link' );

    add_action('do_feed', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rdf', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rss', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rss2', 'cyklodev_disable_rss', 1);
    add_action('do_feed_atom', 'cyklodev_disable_rss', 1);
    add_action('do_feed_rss2_comments', 'fb_disable_feed', 1);
    add_action('do_feed_atom_comments', 'fb_disable_feed', 1);

}

/*
 * Include function to disable update notification
 */

function cyklodev_remove_update_notification() {
    remove_action( 'admin_notices', 'update_nag', 3 );
}

/*
 * Include hook action
 */

if(get_option('cyklodev_settings_update_notification') == 'on'){
    add_action('admin_menu','cyklodev_remove_update_notification');
}

if(get_option('cyklodev_settings_login_email') == 'on'){
    add_action('wp_authenticate','cyklodev_login_with_email');
}

if(get_option('cyklodev_settings_rss') == 'on' ){
    add_action('init', 'cyklodev_disable_rss_links');
}

if(get_option('cyklodev_settings_disable_gutemberg') == 'on'){
    add_action('init', 'cyklodev_disable_gutemberg');
}

if(get_option('cyklodev_settings_update_auto') == 'on'){
    define( 'AUTOMATIC_UPDATER_DISABLED', true );
    define ('WP_AUTO_UPDATE_CORE',true);
}

if(get_option('cyklodev_settings_auto_update_plugin') == 'on'){
    define( 'AUTOMATIC_UPDATER_DISABLED', false );
    add_filter( 'auto_update_plugin', '__return_true' );
}

?>
